Subject: Re: bug#69784: 29.2; Proced auto update should only update visible buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Mar 2024 06:58:20 +0200

> Date: Wed, 13 Mar 2024 22:00:17 +0100
> From:  Rahguzar via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I use proced with 'proced-auto-update-flag' set to 't'. Often I quit the
> window showing proced buffer and later some profile shows that the timer
> used to update proced is taking a big chunk of time.
> 
> Since updating the proced buffer is a somewhat expensive operation, I
> think the update should happen only if a proced buffer is visible.
> 
> I can send a patch to that changes 'proced-auto-update-timer' to this
> effect.

As a user option, this sounds useful.  So please do send a patch, but
please add such an option, because I can imagine users who'd like
Proced buffers to be always up-to-date, regardless of whether they are
displayed.

Thanks.